/*  ----------------------------------------------------------------------------
 *          ATMEL Microcontroller Software Support  -  ROUSSET  -
 *  ----------------------------------------------------------------------------
 *  DISCLAIMER:  THIS SOFTWARE IS PROVIDED BY ATMEL "AS IS" AND ANY EXPRESS OR
 *  IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 *  MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT ARE
 *  DISCLAIMED. IN NO EVENT SHALL ATMEL BE LIABLE FOR ANY DIRECT, INDIRECT,
 *  INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA,
 *  OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
 *  LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 *  NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 *  EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *  ----------------------------------------------------------------------------
 * File Name           : AT91SAM9261.h
 * Object              : AT91SAM9261 definitions
 * Generated           : AT91 SW Application Group  03/30/2005 (17:05:06)
 * 
 *  ----------------------------------------------------------------------------
*/
#ifndef AT91SAM9261_PID_H
#define AT91SAM9261_PID_H

/* ***************************************************************************** */
/*               PERIPHERAL ID DEFINITIONS FOR AT91SAM9261 */
/* ***************************************************************************** */
#define AT91C_ID_FIQ    ((unsigned int)  0) /* Advanced Interrupt Controller (FIQ) */
#define AT91C_ID_SYS    ((unsigned int)  1) /* System Interrupt */
#define AT91C_ID_PIOA   ((unsigned int)  2) /* Parallel IO Controller A */
#define AT91C_ID_PIOB   ((unsigned int)  3) /* Parallel IO Controller B */
#define AT91C_ID_PIOC   ((unsigned int)  4) /* Parallel IO Controller C */
#define AT91C_ID_US0    ((unsigned int)  6) /* USART 0 */
#define AT91C_ID_US1    ((unsigned int)  7) /* USART 1 */
#define AT91C_ID_US2    ((unsigned int)  8) /* USART 2 */
#define AT91C_ID_MCI    ((unsigned int)  9) /* Multimedia Card Interface */
#define AT91C_ID_UDP    ((unsigned int) 10) /* USB Device Port */
#define AT91C_ID_TWI    ((unsigned int) 11) /* Two-Wire Interface */
#define AT91C_ID_SPI0   ((unsigned int) 12) /* Serial Peripheral Interface 0 */
#define AT91C_ID_SPI1   ((unsigned int) 13) /* Serial Peripheral Interface 1 */
#define AT91C_ID_SSC0   ((unsigned int) 14) /* Serial Synchronous Controller 0 */
#define AT91C_ID_SSC1   ((unsigned int) 15) /* Serial Synchronous Controller 1 */
#define AT91C_ID_SSC2   ((unsigned int) 16) /* Serial Synchronous Controller 2 */
#define AT91C_ID_TC0    ((unsigned int) 17) /* Timer Counter 0 */
#define AT91C_ID_TC1    ((unsigned int) 18) /* Timer Counter 1 */
#define AT91C_ID_TC2    ((unsigned int) 19) /* Timer Counter 2 */
#define AT91C_ID_UHP    ((unsigned int) 20) /* USB Host Port */
#define AT91C_ID_LCDC   ((unsigned int) 21) /* LCD Controller */
#define AT91C_ID_IRQ0   ((unsigned int) 29) /* Advanced Interrupt Controller (IRQ0) */
#define AT91C_ID_IRQ1   ((unsigned int) 30) /* Advanced Interrupt Controller (IRQ1) */
#define AT91C_ID_IRQ2   ((unsigned int) 31) /* Advanced Interrupt Controller (IRQ2) */

#endif
